[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TBlobField.SetFieldType

Set field type

## Declaration

Source position: db.pas line 929

`public procedure TBlobField.SetFieldType(`
`AValue: TFieldType`
`); override;`

## Arguments

`AValue` |  | Value for the DataType property

## Description

SetFieldType is overridden by TBlobField to check whether a valid Blob field type is set. If so, it calls the inherited method.

## See also

TField.DataType |  | The data type of the field.